package main

import (
	"flag"

	"github.com/spf13/viper"
	"gitstore.ru/tolikproh/sirius/internal/model"
)

var (
	apiPtr       *bool
	configPath   string
	configFile   string = "config"
	filePtr      *bool
	filePathConv string
	fileConv     string = "sirius.json"
)

func init() {
	apiPtr = flag.Bool("api", false, "Start Api Server")
	flag.StringVar(&configPath, "conf-path", "configs", "path to config file 'config.yml'")
	flag.StringVar(&configFile, "conf-file", "config", "name file to config")
	filePtr = flag.Bool("file", false, "File converted cli")
	flag.StringVar(&filePathConv, "conv-path", "converts", "path to converts file 'sirius.json'")
	flag.StringVar(&fileConv, "conv-file", "sirius.json", "name file to converting")
}

func initConfig() (*model.Config, error) {
	cnf := model.NewConfig()

	viper.SetConfigName(configFile)
	viper.SetConfigType("yaml")
	viper.AddConfigPath(configPath)
	viper.AddConfigPath("./")

	if err := viper.ReadInConfig(); err != nil {
		return cnf, err
	} else {
		if err := viper.Unmarshal(&cnf); err != nil {
			return cnf, err
		}
	}

	return cnf, nil
}
