package main

import (
	"flag"
	"fmt"

	"gitstore.ru/tolikproh/sirius/internal/controller/file"
	"gitstore.ru/tolikproh/sirius/internal/server"
)

func main() {
	flag.Parse()

	if *apiPtr {
		cfg, err := initConfig()
		if err != nil {
			fmt.Printf("Error initializing configs file (configs set default): %s\n", err.Error())
		}

		log := NewLogger(cfg)

		app := server.New(cfg, log)

		fmt.Printf("Start server on lister port: %s\n", cfg.Srv.Port)

		if err := app.Run(); err != nil {
			log.Fatalf("%s", err.Error())
		}
		return
	}

	if *filePtr {
		file.FileConvert(filePathConv + "/" + fileConv)
		return
	}
	fmt.Println("For help, used flags --help")
}
